aboutsummaryrefslogtreecommitdiff
path: root/tests/tcpsink.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tcpsink.sh')
-rwxr-xr-xtests/tcpsink.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/tcpsink.sh b/tests/tcpsink.sh
new file mode 100755
index 0000000..6716bed
--- /dev/null
+++ b/tests/tcpsink.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+P=$1
+PORT=$((P))
+if [ ${PORT} -lt 1 ]; then
+ echo "usage: $0 <port>" 1>&2
+ exit 1
+fi
+
+nc -l -p ${PORT} > /dev/null